Summary:        An image viewer and browser for the GNOME desktop.
Name:           gthumb
Version:        2.1.4
Release:        0.fdr.3.1
License:        GPL
URL:            http://gthumb.sourceforge.net/
Group:          Applications/Multimedia
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/gthumb/2.1/gthumb-2.1.4.tar.bz2
Source1:        gthumb.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  pkgconfig
BuildRequires:  scrollkeeper
BuildRequires:  gettext
BuildRequires:  libexif-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:	desktop-file-utils
Requires(post): GConf2
Requires(post,postun): scrollkeeper

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure --disable-schemas-install
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name}

install -p -D -m0664 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --add-category X-Red-Hat-Base                        \
  --add-category Application                           \
  --add-category Viewer                                \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
# -----------------------------------------------------------------------------

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/gthumb.schemas > /dev/null || :
/usr/bin/scrollkeeper-update -q || :

# -----------------------------------------------------------------------------

%postun
/usr/bin/scrollkeeper-update -q || :

# -----------------------------------------------------------------------------

%clean
rm -rf ${RPM_BUILD_ROOT}

# -----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING
%doc %{_datadir}/gnome/help/gthumb
%config %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*.so
%{_libdir}/bonobo/servers/*
%{_libdir}/*.so
%{_libexecdir}/%{name}*
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/%{name}.png

# -----------------------------------------------------------------------------

%changelog
* Sat Aug 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.4-0.fdr.3
- Added X-Red-Hat-Base desktop category.

* Fri Aug 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.4-0.fdr.2
- Modified desktop entry.

* Mon Aug 11 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.4-0.fdr.1
- Updated to 2.1.4.
- Req (post,postun) scrollkeeper.

* Tue Aug 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.3-0.fdr.2
- Dropped Epoch 0, as this an UPDATE to a package in RHL.
- Use desktop-file-install.
- Req(post) GConf2.
- configure --disable-schemas-install.
- new Description.
- Fix for the gconf schema file.

* Wed Jul 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.3-0.fdr.1
- Fedorafication.

* Fri Jul 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.3.
- Updated %%description.
- Fixed BuildRequires, thanks to mach :-)

* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.2.

* Mon Apr  7 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Quiet the gconftool post output.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.1.
- Added GCONF install stuff.
- Excluded all .a and .la files.
- Rebuilt for Red Hat Linux 9.

* Tue Jan 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.0.
- Added libexif support.

* Tue Nov 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.104.

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.103 (GNOME 2 branch).
- Rebuilt for Red Hat Linux 8.0.

* Wed Sep 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.13.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.12.
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Sun Feb 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.10.

* Sun Dec 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.9.

* Sun Dec  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.8.

* Sun Nov 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.7.

* Sun Oct 28 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

